MissingH-1.2.0.0: Large utility library

Portability | portable
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>
Safe Haskell | None

Data.Tuple.Utils

Contents

- Extraction

Description

This module provides various helpful utilities for dealing with lists.

Written by Neil Mitchell, http://www.cs.york.ac.uk/~ndm/

Synopsis

- fst3 :: (a, b, c) -> a
- snd3 :: (a, b, c) -> b
- thd3 :: (a, b, c) -> c

# Extraction

fst3 :: (a, b, c) -> aSource

Take the first item out of a 3 element tuple

snd3 :: (a, b, c) -> bSource

Take the second item out of a 3 element tuple

thd3 :: (a, b, c) -> cSource

Take the third item out of a 3 element tuple